Page MenuHomePhabricator

Rename link in footer to "Jump to footnote"
Closed, ResolvedPublic1 Story Points

Description

The link in the footer of the reference currently says Jump to reference. It should say Jump to footnote because not all footnotes are references, they can also be comments etc. That's why the header of the reference preview says footnote as well, see T213907.

Details

Related Gerrit Patches:
mediawiki/extensions/Popups : masterMention concatenated message keys in a comment for easy grep
mediawiki/extensions/Popups : masterConsistently talk about "Reference" instead of "Footnote"
mediawiki/extensions/Popups : masterRename link in footer to "Jump to footnote"

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 1 2019, 11:32 AM
WMDE-Fisch set the point value for this task to 1.
WMDE-Fisch moved this task from Ready for pickup to Doing on the Reference Previews board.

I 100% agree. :-) Just to have this documented: the previous label was following the mocks as presented in T213415 and especially T213905:

jkroll claimed this task.Feb 11 2019, 1:51 PM

Change 489743 had a related patch set uploaded (by Jkroll; owner: Jkroll):
[mediawiki/extensions/Popups@master] Rename link in footer to "Jump to footnote"

https://gerrit.wikimedia.org/r/489743

Pinging @Raymond because we are renaming one message key in https://gerrit.wikimedia.org/r/489743. Maybe he is able to help?

Change 489743 merged by jenkins-bot:
[mediawiki/extensions/Popups@master] Rename link in footer to "Jump to footnote"

https://gerrit.wikimedia.org/r/489743

Lea_WMDE closed this task as Resolved.Feb 20 2019, 9:01 AM
Lea_WMDE triaged this task as Normal priority.
Lea_WMDE moved this task from Demo to Done on the WMDE-QWERTY-Sprint-2019-02-06 board.

I'm not sure it's worth introducing another term here.

  • I understand the semantic concern, however I'm assuming that the majority of the footnotes are references/citations, and that comments are an edge case.
  • We are already referring to it as a "reference" in the title of the preview (Book reference, Journal reference, etc.) so I think it might be more confusing to then have a button that says "Jump to footnote"...it feels disconnected from the thing you're already looking at.
  • As far as I can tell the article section where you are jumping to is called "References" (in English), so there is already the idea that we call these things references, even if sometimes they are just comments

Perhaps in the future we can introduce a "Comment" type/category in VE, and then use that here.

Also, regarding T213907, it was unclear to me that we were agreeing to use the term "Footnote" in the title when there is no type specified, e.g.


I think also in this case it makes sense to use the word "Reference".

Change 495927 had a related patch set uploaded (by Thiemo Kreuz (WMDE); owner: Thiemo Kreuz (WMDE)):
[mediawiki/extensions/Popups@master] Consistently talk about "Reference" instead of "Footnote"

https://gerrit.wikimedia.org/r/495927

Change 496170 had a related patch set uploaded (by Thiemo Kreuz (WMDE); owner: Thiemo Kreuz (WMDE)):
[mediawiki/extensions/Popups@master] Mention concatenated message keys in a comment for easy grep

https://gerrit.wikimedia.org/r/496170

Change 495927 merged by jenkins-bot:
[mediawiki/extensions/Popups@master] Consistently talk about "Reference" instead of "Footnote"

https://gerrit.wikimedia.org/r/495927

Change 496170 merged by jenkins-bot:
[mediawiki/extensions/Popups@master] Mention concatenated message keys in a comment for easy grep

https://gerrit.wikimedia.org/r/496170

thiemowmde removed jkroll as the assignee of this task.Mar 20 2019, 1:05 PM
thiemowmde moved this task from Backlog to Demo on the WMDE-QWERTY-Season-Sprint-2019-03-20 board.
thiemowmde added a subscriber: jkroll.
thiemowmde added a subscriber: Lea_WMDE.

@Lea_WMDE, with the two patches linked above all messages are now consistently talking about "references" again, not "footnotes".